<div id="body" class="container-fluid" *ngIf="userService.searchCode?.allowSearch">
  <div class="row">
    <div class="col-24">
      <form [formGroup]="form" (keyup.enter)="onSubmit()" novalidate>
        <div class="form-row" formGroupName="criteria">
          <div class="form-group mb-2 col-24 col-lg-6">
            <label>Search for</label>
            <dx-radio-group #sType [items]="userService.searchCode?.types"
                            displayExpr="description"
                            valueExpr="value"
                            formControlName="type"
                            layout="horizontal"
                            (onOptionChanged)="setType(sType.value)">
            </dx-radio-group>
          </div>
          <div class="form-group mb-2 col-24 col-lg-6">
            <label>Status (<span class="text-muted">Created within 90 days</span>)</label>
            <dx-radio-group #sStatus [items]="status"
                            displayExpr="description"
                            valueExpr="value"
                            formControlName="status"
                            layout="horizontal"
                            (onOptionChanged)="setStatus(sStatus.value)">
            </dx-radio-group>
          </div>
        </div>
        <hr class="mt-2 mb-2" />
        <div formGroupName="field">
          <div [ngSwitch]="type">
            <ng-container #eventTemplate *ngSwitchCase="1">
              <!-- Updated by Sarah Sandoval [20200422] - Removed the per row to cater the hiding of certain fields for CAND user without destroying the form -->
              <div class="form-row">
                <!-- First row when all fields are visible -->
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>M5 #</label>
                  <input class="form-control form-control-sm" name="m5_no" formControlName="m5_no" placeholder="M5 #" rows="3" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Assigned Name</label>
                  <input type="text" class="form-control form-control-sm" name="assignedName" formControlName="assignedName" placeholder="Assigned Name" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Requestor Name</label>
                  <input type="text" class="form-control form-control-sm" name="requestorName" formControlName="requestorName" placeholder="Requestor Name" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Event ID</label>
                  <input type="text" class="form-control form-control-sm" name="eventId" formControlName="eventId" placeholder="Event ID" />
                </div>

                <!-- Second row when all fields are visible -->
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Event Type</label>
                  <dx-select-box [items]="eventTypes" name="eventType" required
                                 placeholder="Search Event Type" formControlName="eventType"
                                 displayExpr="eventTypeNme" valueExpr="eventTypeId"
                                 [searchEnabled]="true" [searchExpr]="['eventTypeNme']"
                                 searchMode="startswith"></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Event Status</label>
                  <dx-select-box [items]="eventStatus" name="eventStatus" required
                                 placeholder="Search Event Status" formControlName="eventStatus"
                                 displayExpr="eventStusDes" valueExpr="eventStusDes"
                                 [searchEnabled]="true" [searchExpr]="['eventStusDes']"
                                 searchMode="startswith"></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>MDS Network Activity</label>
                  <dx-tag-box [dataSource]="mdsNtwrkActivity"
                              displayExpr="ntwkActyTypeDes"
                              valueExpr="ntwkActyTypeId"
                              formControlName="mdsNtwrkActyType"
                              [showSelectionControls]="true"
                              [searchEnabled]="true">
                  </dx-tag-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <!-- <label>FMS Circuit</label>
                  <input type="text" class="form-control form-control-sm" name="fmsCircuit" formControlName="fmsCircuit" placeholder="FMS Circuit" /> -->
                  <label>NUA</label>
                  <input type="text" class="form-control" name="nua" formControlName="nua" placeholder="NUA" />
                </div>

                <!-- Third row when all fields are visible -->
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>H6</label>
                  <input type="text" class="form-control form-control-sm" name="h5_h6" formControlName="h5_h6" placeholder="H5/H6" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>FT Activity Type</label>
                  <dx-select-box [items]="mdsFastTrackTypes" name="ftActivityType" required
                                 placeholder="Search FT Activity Type" formControlName="ftActivityType"
                                 displayExpr="mdsFastTrkTypeDes" valueExpr="mdsFastTrkTypeId"
                                 [searchEnabled]="true" [searchExpr]="['mdsFastTrkTypeDes']"
                                 searchMode="startswith"></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Customer</label>
                  <input type="text" class="form-control form-control-sm" name="customer" formControlName="customer" placeholder="Customer" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>Device Name</label>
                  <input type="text" class="form-control form-control-sm" name="deviceName" formControlName="deviceName" placeholder="Device Name" />
                </div>

                <!-- Fourth row when all fields are visible -->
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>Device Serial #</label>
                  <input type="text" class="form-control form-control-sm" name="deviceSerialNo" formControlName="deviceSerialNo" placeholder="Device Serial Number" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>FRB Request ID</label>
                  <input type="text" class="form-control form-control-sm" name="frbRequestId" formControlName="frbRequestId" placeholder="FRB Request ID" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>FRB Org ID</label>
                  <input type="text" class="form-control form-control-sm" name="frbOrgId" formControlName="frbOrgId" placeholder="FRB Org ID" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>FRB Configuration Type</label>
                  <dx-select-box [items]="frbConfigurationTypes" name="frbConfigurationType"
                                 placeholder="Search FRB Configuration Type"
                                 displayExpr="description" valueExpr="value"
                                 [searchEnabled]="true" [searchExpr]="['description']"
                                 searchMode="startswith"
                                 formControlName="frbConfigurationType" required></dx-select-box>
                </div>

                <!-- Fifth row when all fields are visible -->
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Appt Start Date</label>
                  <input type="text" class="form-control form-control-sm" name="apptStartDate" formControlName="apptStartDate" placeholder="Appt Start Date" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Appt End Date</label>
                  <input type="text" class="form-control form-control-sm" name="apptEndDate" formControlName="apptEndDate" placeholder="Appt End Date" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>FRB Activity Type</label>
                  <dx-select-box [items]="frbActivityTypes" name="frbActivityType"
                                 placeholder="Search FRB Activity Type"
                                 displayExpr="description" valueExpr="value"
                                 [searchEnabled]="true" [searchExpr]="['description']"
                                 searchMode="startswith"
                                 formControlName="frbActivityType" required></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>Redesign Number</label>
                  <input type="text" class="form-control form-control-sm" name="redesignNo" formControlName="redesignNo" placeholder="Redesign Number" />
                </div>

                <!-- Sixth row when all fields are visible -->
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>MDS Activity Type</label>
                  <dx-select-box [items]="mdsActivityTypes" name="mdsActivityType"
                                 placeholder="Search MDS Activity Type"
                                 displayExpr="mdsActyTypeDes" valueExpr="mdsActyTypeId"
                                 [searchEnabled]="true" [searchExpr]="['mdsActyTypeDes']"
                                 searchMode="startswith"
                                 formControlName="mdsActivityType" required></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6" *ngIf="!userService.searchCode?.isCandUser">
                  <label>MDS MAC Type</label>
                  <!--<dx-select-box [items]="mdsMacActivity" name="mdsMacType" placeholder="Search MDS MAC Type" displayExpr="mdsMacActyNme" valueExpr="mdsMacActyId" formControlName="mdsMacType" required></dx-select-box>-->
                  <dx-tag-box [dataSource]="mdsMacActivity"
                              displayExpr="mdsMacActyNme"
                              valueExpr="mdsMacActyId"
                              formControlName="mdsMacType"
                              [showSelectionControls]="true"
                              [searchEnabled]="true">
                  </dx-tag-box>
                </div>
              </div>
            </ng-container>
            <ng-container #orderTemplate *ngSwitchCase="2">
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>M5 #</label>
                  <input class="form-control form-control-sm" name="m5_no" formControlName="m5_no" placeholder="M5 #" />
                  <div>
                    <dx-check-box name="isRelatedFtn" formControlName="isRelatedFtn"
                                  text="Check for Related FTN/MACH5 Order #'s">
                    </dx-check-box>
                  </div>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Name</label>
                  <input type="text" class="form-control form-control-sm" name="name" formControlName="name" placeholder="Name" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>CCD</label>
                  <input type="text" class="form-control form-control-sm" name="ccd" formControlName="ccd" placeholder="CCD" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Private Line</label>
                  <input type="text" class="form-control form-control-sm" name="privateLine" formControlName="privateLine" placeholder="Private Line" />
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>H1</label>
                  <input type="text" class="form-control form-control-sm" name="h1" formControlName="h1" placeholder="H1" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Vendor Name</label>
                  <input type="text" class="form-control form-control-sm" name="vendorName" formControlName="vendorName" placeholder="Vendor Name" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>PRS Quote</label>
                  <input type="text" class="form-control form-control-sm" name="prsQuote" formControlName="prsQuote" placeholder="PRS Quote" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Vendor Circuit</label>
                  <input type="text" class="form-control form-control-sm" name="vendorCircuit" formControlName="vendorCircuit" placeholder="Vendor Circuit" />
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Product Type</label>
                  <dx-select-box [items]="productTypes" name="productType" required
                                 placeholder="Search Product Type" formControlName="productType"
                                 displayExpr="prodTypeDes" valueExpr="prodTypeId"
                                 [searchEnabled]="true" [searchExpr]="['prodTypeDes']"
                                 searchMode="startswith"></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>SOI</label>
                  <input type="text" class="form-control form-control-sm" name="soi" formControlName="soi" placeholder="SOI" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>H6</label>
                  <input type="text" class="form-control form-control-sm" name="h5_h6" formControlName="h5_h6" placeholder="H5/H6" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Order Sub Type</label>
                  <dx-select-box [items]="orderSubTypes" name="orderSubType" required
                                 placeholder="Search Order Type" formControlName="orderSubType"
                                 displayExpr="ordrSubTypeDes" valueExpr="ordrSubTypeCd"
                                 [searchEnabled]="true" [searchExpr]="['ordrSubTypeDes']"
                                 searchMode="startswith"></dx-select-box>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Order Type</label>
                  <dx-select-box [items]="orderTypes" name="orderType"
                                 placeholder="Search Order Type"
                                 displayExpr="ordrTypeDes" valueExpr="ordrTypeId"
                                 [searchEnabled]="true" [searchExpr]="['ordrTypeDes']"
                                 searchMode="startswith"
                                 formControlName="orderType" required></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Work Group</label>
                  <dx-select-box [items]="groups" name="workGroup"
                                 placeholder="Search Work Group"
                                 displayExpr="grpNme" valueExpr="grpId"
                                 [searchEnabled]="true" [searchExpr]="['grpNme']"
                                 searchMode="startswith"
                                 formControlName="workGroup" required></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>NUA</label>
                  <input type="text" class="form-control form-control-sm" name="nua" formControlName="nua" placeholder="NUA" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Platform Type</label>
                  <dx-select-box [items]="platforms" name="platformType"
                                 placeholder="Search Platform Type"
                                 displayExpr="pltfrmNme" valueExpr="pltfrmCd"
                                 [searchEnabled]="true" [searchExpr]="['pltfrmNme']"
                                 searchMode="startswith"
                                 formControlName="platformType" required></dx-select-box>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Region</label>
                  <dx-select-box [items]="regions" name="region"
                                 placeholder="Search Region"
                                 displayExpr="rgnDes" valueExpr="rgnId"
                                 [searchEnabled]="true" [searchExpr]="['rgnDes']"
                                 searchMode="startswith"
                                 formControlName="region" required></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Parent M5 #</label>
                  <input type="text" class="form-control form-control-sm" name="parentM5_no" formControlName="parentM5_no" placeholder="Parent M5 No" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Purchase Order Number</label>
                  <input type="text" class="form-control form-control-sm" name="purchaseOrderNumber" formControlName="purchaseOrderNumber" placeholder="Purchase Order Number" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Atlas Work Order Number</label>
                  <input type="text" class="form-control form-control-sm" name="atlasWorkOrderNumber" formControlName="atlasWorkOrderNumber" placeholder="Atlas Work Order Number" />
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>People Soft Requisition Number</label>
                  <input type="text" class="form-control form-control-sm" name="peopleSoftRequisitionNumber" formControlName="peopleSoftRequisitionNumber" placeholder="People Soft Requisition Number" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>PreQual Id</label>
                  <input type="text" class="form-control form-control-sm" name="preQualId" formControlName="preQualId" placeholder="PreQual Id" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Device Id</label>
                  <input type="text" class="form-control form-control-sm" name="deviceId" formControlName="deviceId" placeholder="Device Id" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Site Id</label>
                  <input type="text" class="form-control form-control-sm" name="siteId" formControlName="siteId" placeholder="Site Id" />
                </div>
              </div>
            </ng-container>
            <ng-container #redesignTemplate *ngSwitchCase="3">
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Redesign #</label>
                  <input class="form-control form-control-sm" name="redesignNo" formControlName="redesignNo" placeholder="Redesign #" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Customer</label>
                  <input type="text" class="form-control form-control-sm" name="customer" formControlName="customer" placeholder="Customer" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>H1</label>
                  <input type="text" class="form-control form-control-sm" name="h1" formControlName="h1" placeholder="H1" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Redesign Category</label>
                  <dx-select-box [items]="redesignCategories" name="redesignCategory"
                                 placeholder="Search Redesign Category"
                                 displayExpr="redsgnCatDes" valueExpr="redsgnCatId"
                                 [searchEnabled]="true" [searchExpr]="['redsgnCatDes']"
                                 searchMode="startswith"
                                 formControlName="redesignCategory" required></dx-select-box>
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Redesign Type</label>
                  <dx-select-box [items]="redesignTypes" name="redesignType"
                                 placeholder="Search Redesign Type"
                                 displayExpr="description" valueExpr="value"
                                 [searchEnabled]="true" [searchExpr]="['description']"
                                 searchMode="startswith"
                                 formControlName="redesignType" required></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Redesign Status</label>
                  <dx-select-box [items]="redesignStatus" name="redesignStatus"
                                 placeholder="Search Redesign Status"
                                 displayExpr="stusDes" valueExpr="stusId"
                                 [searchEnabled]="true" [searchExpr]="['stusDes']"
                                 searchMode="startswith"
                                 formControlName="redesignStatus" required></dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>ODIE Device Name</label>
                  <input type="text" class="form-control form-control-sm" name="odieDeviceName" formControlName="odieDeviceName" placeholder="ODIE Device Name" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>NTE Assigned</label>
                  <input type="text" class="form-control form-control-sm" name="nteAssigned" formControlName="nteAssigned" placeholder="NTE Assigned" />
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>PM Assigned</label>
                  <input type="text" class="form-control form-control-sm" name="pmAssigned" formControlName="pmAssigned" placeholder="PM Assigned" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Event ID</label>
                  <input type="text" class="form-control form-control-sm" name="eventId" formControlName="eventId" placeholder="Event ID" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>MSS SE Assigned</label>
                  <input type="text" class="form-control form-control-sm" name="mssSeAssigned" formControlName="mssSeAssigned" placeholder="MSS SE Assigned" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>NE Assigned</label>
                  <input type="text" class="form-control form-control-sm" name="neAssigned" formControlName="neAssigned" placeholder="NE Assigned" />
                </div>
              </div>
              <div class="form-row">
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Submitted Date</label>
                  <input type="text" class="form-control form-control-sm" name="submittedDate" formControlName="submittedDate" placeholder="Submitted Date" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>SLA Due Date</label>
                  <input type="text" class="form-control form-control-sm" name="slaDueDate" formControlName="slaDueDate" placeholder="SLA Due Date" />
                </div>
                <div class="form-group form-group-sm col-24 col-lg-6">
                  <label>Expiration Date</label>
                  <input type="text" class="form-control form-control-sm" name="expirationDate" formControlName="expirationDate" placeholder="Expiration Date" />
                </div>
              </div>
            </ng-container>
            <div class="form-row text-center mt-2">
              <div class="form-group form-group-sm col-12 col-md-4 col-lg-3 offset-md-8 offset-lg-9">
                <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="setForm()">
                  Reset
                </button>
              </div>
              <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
                <button type="button" class="btn btn-sm btn-primary btn-block"
                        (click)="onSubmit()">
                  Search
                </button>
              </div>
            </div>
          </div>
        </div>
      </form>
      <span *ngIf="eventListLen == 0 && eventList != null"><strong>{{msg}}</strong></span>
      <dx-data-grid *ngIf="eventList != null" #grid id="grid" [dataSource]="eventList"
                    [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                    (onRowDblClick)="selectionChangedEventHandler(grid.selectedRowKeys)"
                    (onToolbarPreparing)="onToolbarEventPreparing($event)"
                    (onExporting)="onExportingEvent($event)"
                    (onRowPrepared)="onRowEventPrepared($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
        <dxi-column dataField="eventID" caption="Event ID" dataType="string" cellTemplate="eventIdTemplate"></dxi-column>
        <dxi-column dataField="eventType" caption="Event Type" dataType="string"></dxi-column>
        <dxi-column dataField="eventStatus" caption="Event Status" dataType="string"></dxi-column>
        <dxi-column dataField="assignedTo" caption="Assigned User" dataType="string"></dxi-column>
        <dxi-column dataField="requestedBy" caption="Requested By" dataType="string"></dxi-column>
        <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
        <dxi-column dataField="h1" caption="H1" dataType="string"></dxi-column>
        <dxi-column dataField="h5_H6" caption="H6" dataType="string"></dxi-column>
        <dxi-column dataField="city" caption="City" dataType="string"></dxi-column>
        <dxi-column dataField="state" caption="State" dataType="string"></dxi-column>
        <dxi-column dataField="customerName" caption="Customer Name" dataType="string"></dxi-column>
        <dxi-column dataField="designName" caption="Device Name" dataType="string"></dxi-column>
        <dxi-column dataField="redesignNumber" caption="Redesign Number" dataType="string"></dxi-column>
        <dxi-column dataField="startDate" caption="Start Date" dataType="datetime"></dxi-column>
        <dxi-column dataField="modifiedDate" caption="Last Update" dataType="datetime"></dxi-column>
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>
        <div *dxTemplate="let row of 'eventIdTemplate'">
          <a class="hyperlink" (click)="goToEvent(row.data)">{{ row.value }}</a>
        </div>
      </dx-data-grid>

      <span *ngIf="orderListLen == 0 && orderList != null"><strong>{{msg}}</strong></span>
      <dx-data-grid *ngIf="orderList != null" #grid1 id="grid1" [dataSource]="orderList"
                    [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                    (onRowDblClick)="selectionChangedOrderHandler(grid1.selectedRowKeys)"
                    (onToolbarPreparing)="onToolbarOrderPreparing($event)"
                    (onExporting)="onExportingOrder($event)"
                    (onRowPrepared)="onRowOrderPrepared($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
        <!--<dxi-column dataField="ordR_ID" caption="Order ID" dataType="string"></dxi-column>-->
        <dxi-column dataField="ftn" caption="M5 #" dataType="string" cellTemplate="orderIdTemplate"></dxi-column>
        <dxi-column dataField="h1" caption="H1" dataType="string"></dxi-column>
        <dxi-column dataField="customerName" caption="Customer Name" dataType="string"></dxi-column>
        <dxi-column dataField="domesticFlag" caption="Domestic Flag" dataType="string"></dxi-column>
        <dxi-column dataField="h5_H6" caption="H6" dataType="string"></dxi-column>
        <dxi-column dataField="orderSubType" caption="Order Sub Type" dataType="string"></dxi-column>
        <dxi-column dataField="orderType" caption="Order Action" dataType="string"></dxi-column>
        <dxi-column dataField="orderTypeDesc" caption="Order Type" dataType="string"></dxi-column>
        <dxi-column dataField="ccd" caption="CCD" dataType="datetime" format="MMM/dd/yy"></dxi-column>
        <dxi-column dataField="prsQuote" caption="PRS Quote" dataType="string"></dxi-column>
        <dxi-column dataField="soi" caption="SOI" dataType="string"></dxi-column>
        <dxi-column dataField="privateLine" caption="Private Line" dataType="string"></dxi-column>
        <dxi-column dataField="productType" caption="Product Type" dataType="string"></dxi-column>
        <dxi-column dataField="platformType" caption="Platform Type" dataType="string"></dxi-column>
        <dxi-column dataField="vendorName" caption="Vendor Name" dataType="string"></dxi-column>
        <dxi-column dataField="region" caption="Region" dataType="string"></dxi-column>
        <dxi-column dataField="workGroup" caption="Work Group" dataType="string"></dxi-column>
        <dxi-column dataField="orderStatus" caption="Order Status" dataType="string"></dxi-column>
        <dxi-column dataField="tasK_ID" dataType="string" [visible]="false"></dxi-column>
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid1.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>
        <div *dxTemplate="let row of 'orderIdTemplate'">
          <a class="hyperlink" (click)="goToOrder(row.data)">{{ row.value }}</a>
        </div>
      </dx-data-grid>

      <span *ngIf="redesignListLen == 0 && redesignList != null"><strong>{{msg}}</strong></span>
      <dx-data-grid *ngIf="redesignList != null" #grid2 id="grid2" [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true"
                    [dataSource]="redesignList"
                    (onRowDblClick)="selectionChangedRedesignHandler(grid2.selectedRowKeys)"
                    (onToolbarPreparing)="onToolbarRedesignPreparing($event)"
                    (onExporting)="onExportingRedesign($event)"
                    (onRowPrepared)="onRowRedesignPrepared($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
        <dxi-column dataField="redesignID" dataType="string" [visible]="false"></dxi-column>
        <dxi-column dataField="redesignNumber" caption="Redesign Number" dataType="string" cellTemplate="redesignTemplate"></dxi-column>
        <dxi-column dataField="expirationDate" caption="Expiration Date" dataType="datetime"></dxi-column>
        <dxi-column dataField="h1" caption="H1" dataType="string"></dxi-column>
        <dxi-column dataField="customerName" caption="Customer Name" dataType="string"></dxi-column>
        <dxi-column dataField="deviceName" caption="Device Name" dataType="string"></dxi-column>
        <dxi-column dataField="fastTrackFlag" caption="Simple/Complex" dataType="boolean"></dxi-column>
        <dxi-column dataField="dispatchReadyFlag" caption="Dispatch Ready Flag" dataType="boolean"></dxi-column>
        <dxi-column dataField="completionFlag" caption="Completion Flag" dataType="boolean"></dxi-column>
        <dxi-column dataField="eventID" caption="Event ID" dataType="string"></dxi-column>
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid2.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>
        <div *dxTemplate="let row of 'redesignTemplate'">
          <a class="hyperlink" (click)="goToRedesign(row.data)">{{ row.value }}</a>
        </div>
      </dx-data-grid>
    </div>
  </div>
</div>


